# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           dtdparser
Version:        1.21
Release:        %mkrel 17
Summary:        A Java DTD Parser
Group:          Development/Java

# The code has no license attribution.
# There is a LICENSE.INFO file, but it does not specify versions.
# The only versioning is in the ASL_LICENSE file, which has been edited by the upstream.
License:        LGPLv2+ or ASL 1.1
URL:            http://wutka.com/%{name}.html
BuildArch:      noarch

Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tgz
Source1:        https://repo1.maven.org/maven2/com/wutka/%{name}/%{version}/%{name}-%{version}.pom

# Without removing these comments, build fails
Patch0:         %{name}-unmappable-chars-in-comments.patch

BuildRequires: ant
BuildRequires: javapackages-local

%description
DTD parsers for Java seem to be pretty scarce. That's probably because
DTD isn't valid XML. At some point, if/when XML Schema becomes widely
accepted, no one will need DTD parsers anymore. Until then, you can
use this library to parse a DTD.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q
find -name \*.jar -delete -o -name \*.class -delete

echo com.wutka.dtd > doc/package-list

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%patch0

%build
ant build createdoc

%install
%mvn_artifact %{SOURCE1} dist/%{name}120.jar
%mvn_install -J doc

%files -f .mfiles
%doc CHANGES README
%license LICENSE ASL_LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE ASL_LICENSE


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.21-17.mga9
+ Revision: 1828773
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.21-16.mga8
+ Revision: 1522817
- Mageia 8 Mass Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 1.21-15.mga7
+ Revision: 1364240
- Install with xmvn and drop deprecated macros

* Thu Sep 20 2018 umeabot <umeabot> 1.21-14.mga7
+ Revision: 1278049
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 daviddavid <daviddavid> 1.21-13.mga7
+ Revision: 1160495
- add BR javapackages-local to fix build

* Tue Feb 09 2016 umeabot <umeabot> 0:1.21-12.mga6
+ Revision: 951907
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 0:1.21-11.mga5
+ Revision: 809865
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 0:1.21-10.mga5
+ Revision: 749661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.21-9.mga5
+ Revision: 678875
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 0:1.21-8.mga4
+ Revision: 558582
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- update br

* Fri Jan 11 2013 dmorgan <dmorgan> 0:1.21-6.mga3
+ Revision: 349313
- Fix file encoding
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 gil <gil> 0:1.21-5.mga2
+ Revision: 199143
- buid fix
  adapt to current guidelines
  added maven pom

* Wed Oct 19 2011 dams <dams> 0:1.21-4.mga2
+ Revision: 156549
- update mkrel

* Wed Jan 19 2011 pterjan <pterjan> 0:1.21-3.2.6.mga1
+ Revision: 23722
- imported package dtdparser

